<ion-view view-title="Guía de Probióticos">
  <ion-content class="padding" overflow-scroll="false">

    <label class="item item-input item-select item-stable ">
      <div class="input-label">
        Filtrar por:
      </div>
      <select ng-model="vm.selectedOptionAge" ng-init="vm.selectedOptionAge='0'" required>
        <option selected value="0"> Edad</option>
        <option value="Adulto"> Adulto</option>
        <option value="Pediatrico"> Pediatrico</option>
      </select>
    </label>

    <div ng-repeat="patho in vm.pathology track by patho.id">

      <div class="card colorApp">
        <div class="item item-divider">
          <h2><b>{{patho.name}}</b></h2>
          <small>({{patho.pathologytypeName}})</small>
        </div>
      </div>

      <div class="card">
        <div class="item item-text-wrap item-assertive"
          ng-show="vm.selectedOptionAge == 'Adulto' && patho.Age == 'Pediatrico'">
          No hay probióticos disponibles para rango de edad adultos.
        </div>
        <div class="item item-text-wrap item-assertive"
          ng-show="vm.selectedOptionAge == 'Pediatrico' && patho.Age == 'Adulto'">
          No hay probióticos disponibles para rango de edad pediátrico.
        </div>
      </div>

      <div ng-repeat="(key1,value1) in patho.evidences | groupBy: 'probioticName'">
        <div ng-repeat="(key2, value2) in value1 | groupBy:'dosageAge'">
          <div class="card" ng-show="vm.selectedOptionAge == '{{key2}}' || vm.selectedOptionAge == 0">
            <div class="item item-text-wrap item-stable" >
              <h3><b>{{key1}}</b></h3>
              <small><u>{{key2}}</u></small>

              <div ng-repeat="probInfo in patho.probioticInfo">
                <div ng-repeat="strains in probInfo.strains">
                  <h4>Cepas: <b>{{strains.name}}{{$last ? '' : ', '}}</b> </h4>
                </div>

                <div ng-if="probInfo.have_allergens == '1'">
                    <div ng-if="probInfo.allergens == ''">
                       <b> No tiene alérgenos. </b>
                    </div>
                    <div ng-repeat="allergens in probInfo.allergens">
                      <h4>  Alérgenos: <b> {{allergens.name}}{{$last ? '' : ', '}} </b></h4>
                    </div>
                </div>

                <div ng-if="probInfo.have_allergens == '0'">
                    <div>
                    <h4>   <b> No hay información sobre los alérgenos. </b></h4>
                    </div>
                </div>
              <div/>

              <div ng-repeat="(key3, value3) in value2 | groupBy:'doseFormName'">
                <h4>Dosis {{$index+1}} en: <b>{{key3}}</b>; Evidencia de tipo: <b>{{value3[0].evidencetypeName}}</b></h4>


              </div>
              <div ng-repeat="references in value2[0].evidencereferences" >
                    <h4> <a class="a" href="#/app/references/{{references.id}}">Referencia {{references.id}}</a> </h4>
              </div>


            </div>
          </div>
        </div>
      </div>

    </div>
  </ion-content>
</ion-view>
